"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
const IProvisionedInstanceVariable_1 = require("./IProvisionedInstanceVariable");
/**
 * Explained keys for summary.
 * @memberof IProvisionedInstanceActions
 */
const prettySummary = {
    name: "Name"
};
/**
 * Explained keys for full.
 * @memberof IProvisionedInstanceActions
 */
const prettyFull = Object.assign(Object.assign({}, prettySummary), { "type": "Value", "command": "Command", "instructions": "Instructions", "is-deprovision": "Deprovision?", "command-run-as-user": "Command Run As User", "command-sol-key": "Command Solicited Key", "command-unsol-key": "Command Un-Solicited Key", "command-detect-time": "Command Detect Time", "workflow-definition-file": "Workflow Definition File", "workflow-variable-input-file": "Workflow Variable Input File", "workflow-clean-after-complete": "Workflow Clean After Complete" });
/**
 * Main explanation map object for full output.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IProvisionedInstanceActions
 */
exports.explainProvisionedInstanceActionsFull = Object.assign(Object.assign({}, prettyFull), { "variables": IProvisionedInstanceVariable_1.explainProvisionedInstanceVariable, "prompt-variables": IProvisionedInstanceVariable_1.explainPromptVariable, "at-create-variables": IProvisionedInstanceVariable_1.explainAtCreateVariable, "explainedParentKey": "Actions", "ignoredKeys": null });
/**
 * Main explanation map object for summary output.
 * @type IExplanationMap, @see {IExplanationMap}
 * @memberof IProvisionedInstanceActions
 */
exports.explainProvisionedInstanceActionsSummary = Object.assign(Object.assign({}, prettySummary), { explainedParentKey: "Actions", ignoredKeys: null });
//# sourceMappingURL=IProvisionedInstanceActions.js.map