"use strict";
/*
* This program and the accompanying materials are made available under the terms of the
* Eclipse Public License v2.0 which accompanies this distribution, and is available at
* https://www.eclipse.org/legal/epl-v20.html
*
* SPDX-License-Identifier: EPL-2.0
*
* Copyright Contributors to the Zowe Project.
*
*/
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Local explanation map for summary
 * @memberof IPublishedTemplate
 */
const prettySummary = {
    "name": "Name",
    "version": "Version",
    "owner": "Owner",
    "state": "State",
    "description": "Description",
    "generated-name": "Generated Name",
    "object-id": "Object Id"
};
/**
 * Local explanation map for full
 * @memberof IPublishedTemplate
 */
const prettyFull = Object.assign(Object.assign({}, prettySummary), { "domain-name": "Domain Name", "software-name": "Software Name" });
/**
 * Main explanation map object for summary output
 * @type {IExplanationMap}
 * @memberof IPublishedTemplate
 */
exports.explainPublishedTemplateSummary = Object.assign(Object.assign({}, prettySummary), { explainedParentKey: "Published Templates", ignoredKeys: null });
/**
 * Main explanation map object for full output
 * @type {IExplanationMap}
 * @memberof IPublishedTemplate
 */
exports.explainPublishedTemplateFull = Object.assign(Object.assign({}, prettyFull), { explainedParentKey: "Published Templates", ignoredKeys: null });
//# sourceMappingURL=IPublishedTemplate.js.map