/**
 * Interface for created workflow objects.
 * @export
 * @interface IVariable
 */
export interface ICreatedWorkflow {
    /**
     * Unique workflow key.
     * @type {string}
     * @memberof ICreatedWorkflow
     */
    workflowKey: string;
    /**
     * Description of the workflow.
     * @type {string}
     * @memberof ICreatedWorkflow
     */
    workflowDescription: string;
    /**
     * Workflow ID.
     * @type {string}
     * @memberof ICreatedWorkflow
     */
    workflowID: string;
    /**
     * Version of the workflow.
     * @type {string}
     * @memberof ICreatedWorkflow
     */
    workflowVersion: string;
    /**
     * Workflow vendor.
     * @type {string}
     * @memberof ICreatedWorkflow
     */
    vendor: string;
}
