export declare type startT = "outputFileValue" | "existingValue" | "leaveConflict";
/**
 * Interface for starting workflow instance.
 * @export
 * @interface IStartWorkflow
 */
export interface IStartWorkflow {
    /**
     * Resolve conflicts by using output file,
     * already existing value or leave the
     * conflict to be handled manually.
     * @type {startT}
     * @memberof IStartWorkflow
     */
    resolveConflictByUsing?: startT;
    /**
     * Step name to be run.
     * @type {string}
     * @memberof IStartWorkflow
     */
    stepName?: string;
    /**
     * Perform subsequent steps.
     * @type {boolean}
     * @memberof IStartWorkflow
     */
    performSubsequent?: boolean;
}
