/**
 * Interface for various GetJobs APIs
 * @export
 * @interface IGetJobsParms
 */
export interface IGetJobsParms {
    /**
     * Owner for which to obtain jobs for.
     * Default: current user
     * @type {string}
     * @memberof IGetJobsParms
     */
    owner?: string;
    /**
     * Prefix to filter when obtaining jobs.
     * Default: *
     * @type {string}
     * @memberof IGetJobsParms
     */
    prefix?: string;
    /**
     * Max jobs to return in a list
     * Default: JobsConstants.DEFAULT_MAX_JOBS
     * @type {number}
     * @memberof IGetJobsParms
     */
    maxJobs?: number;
    /**
     * job id for a job
     * @type {string}
     * @memberof IJob
     */
    jobid?: string;
}
