import { AbstractSession } from "@zowe/imperative";
import { IPingResponse } from "./doc/IPingResponse";
export declare class PingTso {
    /**
     * Issue a TSO Ping command, returns @param {IPingResponse} result, @see {IPingResponse}
     * @static
     * @param {AbstractSession} session representing connection to this api
     * @param {string} servletKey servletkey for address space to ping, generated by start command
     * @param {IZosmfPingResponse} res raw ZOS/MF response
     * @return {IPingResponse}, @see {IPingResponse}
     * @memberof PingTso
     */
    static ping(session: AbstractSession, servletKey: string): Promise<IPingResponse>;
    /**
     * Get resource path for ping command
     * @static
     * @param {string} servletKey servelet key from start API method
     * @return {string} resource path
     * @memberof PingTso
     */
    static getResource(servletKey: string): string;
}
