"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("../index");
const icon_1 = require("../../../utils/icon");
const extension = require("../../../extension");
const icon = {
    id: index_1.IconId.pattern,
    type: index_1.IconHierarchyType.base,
    path: icon_1.getIconPathInResources("pattern.svg"),
    check: (node) => {
        const contexts = [
            extension.DS_SESSION_CONTEXT + extension.FAV_SUFFIX,
            extension.JOBS_SESSION_CONTEXT + extension.FAV_SUFFIX,
            extension.USS_SESSION_CONTEXT + extension.FAV_SUFFIX
        ];
        return contexts.indexOf(node.contextValue) > -1;
    }
};
exports.default = icon;

//# sourceMappingURL=pattern.js.map
