"use strict";
/*
* This program and the accompanying materials are made available under the terms of the *
* Eclipse Public License v2.0 which accompanies this distribution, and is available at *
* https://www.eclipse.org/legal/epl-v20.html                                      *
*                                                                                 *
* SPDX-License-Identifier: EPL-2.0                                                *
*                                                                                 *
* Copyright Contributors to the Zowe Project.                                     *
*                                                                                 *
*/
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
/**
 * Gets path to the icon, which is located in resources folder
 * @param iconFileName {string} Name of icon file with extension
 * @returns {object}
 */
function getIconPathInResources(iconFileName) {
    return {
        light: path.join(__dirname, "..", "..", "..", "resources", "light", iconFileName),
        dark: path.join(__dirname, "..", "..", "..", "resources", "dark", iconFileName)
    };
}
exports.getIconPathInResources = getIconPathInResources;

//# sourceMappingURL=icon.js.map
